options = """

options


  -public "Modified Mad City - Revamped"
  -srvmsg "This map has been textured automatically with a python convert script by KTL. It is freely available at the bzflag forum."

  -j
  +r
  -sa
  -st 5
  -sw 1
  -ms 5

  -sb
  -fb

  -set _burrowAngularAd 1.0
  -set _burrowSpeedAd 1
#  -set _countdownResumeDelay 5
  -set _disableBots true
  -set _flagHeight 11.000000
  -set _gmActivationTime 0.3
  -set _mGunAdLife 0.10
  -set _mGunAdRate 30
  -set _mGunAdVel 10
  -set _noClimb 0
  -set _worldSize 799.5
  -set _wingsJumpCount 3

  -set _drawCelestial 0
  -set _drawClouds 0
  -set _drawGround 1
#  -set _drawGroundLights 0
  -set _drawMountains 1
 -set _drawSky 0

  -set _jumpVelocity 19

  -set _rainRoofs 2

  -set _fogColor white
  -set _fogDensity 0.0012
  -set _fogMode fog
        
  


#-set _rainStartZ 100
#-set _rainType rain
#-set _rainSpread 400
#-set _rainDensity 10000
#-set _rainSpeedMod 200
#-set _useLineRain 0

# Good Flags
+f A{4}  #  Agility
+f CL{4} #  Cloaking
+f F{4}  #  rapid Fire
+f G{1}  #  Genocide
+f GM{4} #  Guided Missile
+f IB{4} #  Invisible Bullett
+f L{2}  #  Laser
+f MG{4} #  Machine Gun
+f N{4}  #  Narrow
+f OO{4} #  Oscillation Overthruster
+f PZ{4} #  Phantom Zone
+f QT{4} #  QuickTurn
+f SB{4} #  Super Bullet
+f SE{2} #  SEer
+f SH{4} #  SHield
+f SR{4} #  SteamRoller
+f ST{4} #  STealth
+f SW{2} #  ShockWave
+f T{4}  #  Tiny
+f TH{4} #  THeif
+f US{2} #  USeless
+f V{4}  #  Velocity (high speed)
+f WG{2} #  WinGs

end
"""


  


boxmesh_end = """
	face
		vertices 0 1 2 3
		matref boxtop
                texcoords  0 1 2 3
	endface
	face
		vertices 4 5 6 7
		matref ceiling
                texcoords  3 2 1 0
	endface

	face
		vertices 3 2 5 4
		matref boxwall
                texcoords  4 5 6 7
	endface
	face
		vertices 2 1 6 5
		matref boxwall
                texcoords  8 9 10 11
	endface
	face
		vertices 1 0 7 6
		matref boxwall
                texcoords  12 13 14 15
	endface
	face
		vertices 0 3 4 7
		matref boxwall
                texcoords  17 16 19 18
	endface
end
"""

boxmesh_d_end = """
	face
		vertices 0 1 2 3
		matref boxtop
                texcoords  0 1 2 3
                drivethrough
	endface
	face
		vertices 4 5 6 7
		matref ceiling
                texcoords  3 2 1 0
                drivethrough
	endface

	face
		vertices 3 2 5 4
		matref boxwall_d
                texcoords  4 5 6 7
                drivethrough
	endface
	face
		vertices 2 1 6 5
		matref boxwall_d
                texcoords  8 9 10 11
                drivethrough
	endface
	face
		vertices 1 0 7 6
		matref boxwall_d
                texcoords 12 13 14 15
                drivethrough
	endface
	face
		vertices 0 3 4 7
		matref boxwall_d
                texcoords 17 16 19 18
                drivethrough
	endface
end
"""
boxmesh_s_end = """
	face
		vertices 0 1 2 3
		matref boxtop
                texcoords  0 1 2 3
                shootthrough
	endface
	face
		vertices 4 5 6 7
		matref ceiling
                texcoords  3 2 1 0
                shootthrough
	endface

	face
		vertices 3 2 5 4
		matref boxwall_s
                texcoords  4 5 6 7
                shootthrough
	endface
	face
		vertices 2 1 6 5
		matref boxwall_s
                texcoords  8 9 10 11
                shootthrough
	endface
	face
		vertices 1 0 7 6
		matref boxwall_s
                texcoords 12 13 14 15
                shootthrough
	endface
	face
		vertices 0 3 4 7
		matref boxwall_s
                texcoords 17 16 19 18
                shootthrough
	endface
end
"""

boxmesh_sd_end = """
	face
		vertices 0 1 2 3
		matref boxtop
                texcoords  0 1 2 3
                passable
	endface
	face
		vertices 4 5 6 7
		matref ceiling
                texcoords  3 2 1 0
                passable
	endface

	face
		vertices 3 2 5 4
		matref boxwall_sd
                texcoords  4 5 6 7
                passable
	endface
	face
		vertices 2 1 6 5
		matref boxwall_sd
                texcoords  8 9 10 11
                passable
	endface
	face
		vertices 1 0 7 6
		matref boxwall_sd
                texcoords 12 13 14 15
                passable
	endface
	face
		vertices 0 3 4 7
		matref boxwall_sd
                texcoords 17 16 19 18
                passable
	endface
end
"""


pyrmesh_end = """

	face
		vertices 0 4 1
		matref pyrwall
		texcoords 5 0 4
	endface
	face
		vertices 1 4 2
		matref pyrwall
		texcoords 7 1 6
	endface
	face
		vertices 2 4 3
		matref pyrwall
		texcoords 9 2 8
	endface
	face
		vertices 3 4 0
		matref pyrwall
		texcoords 11 3 10
	endface
	face
		vertices 0 1 2 3
		matref ceiling
                texcoords 15 14 13 12
	endface
end
"""

pyrmesh_d_end = """
	face
		vertices 0 4 1
		matref pyrwall_d
		texcoords 5 0 4
                drivethrough
	endface
	face
		vertices 1 4 2
		matref pyrwall_d
		texcoords 7 1 6
                drivethrough
	endface
	face
		vertices 2 4 3
		matref pyrwall_d
		texcoords 9 2 8
                drivethrough
	endface
	face
		vertices 3 4 0
		matref pyrwall_d
		texcoords 11 3 10
                drivethrough
	endface
	face
                vertices 0 1 2 3
		matref ceiling
                texcoords 15 14 13 12
                drivethrough
	endface
end
"""



pyrmesh_s_end = """
	face
		vertices 0 4 1
		matref pyrwall_s
		texcoords 5 0 4
                shootthrough
	endface
	face
		vertices 1 4 2
		matref pyrwall_s
		texcoords 7 1 6
                shootthrough
	endface
	face
		vertices 2 4 3
		matref pyrwall_s
		texcoords 9 2 8
                shootthrough
	endface
	face
		vertices 3 4 0
		matref pyrwall_s
		texcoords 11 3 10
                shootthrough
	endface
	face
                vertices 0 1 2 3
		matref ceiling
                texcoords 15 14 13 12
                shootthrough
	endface
end
"""

pyrmesh_sd_end = """
	face
		vertices 0 4 1
		matref pyrwall_sd
		texcoords 5 0 4
                shootthrough
                drivethrough

	endface
	face
		vertices 1 4 2
		matref pyrwall_sd
		texcoords 7 1 6
                shootthrough
                drivethrough
	endface
	face
		vertices 2 4 3
		matref pyrwall_sd
		texcoords 9 2 8
                shootthrough
                drivethrough
	endface
	face
		vertices 3 4 0
		matref pyrwall_sd
		texcoords 11 3 10
                shootthrough
                drivethrough
	endface
	face
                vertices 0 1 2 3
		matref ceiling
                texcoords 15 14 13 12
                shootthrough
                drivethrough
	endface
end
"""




materials = """

material
   name boxwall
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone02.png
#texture red_bolt
end

material
   name boxwall_d
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone22.png
end

material
   name boxwall_s
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone01.png
end

material
   name boxwall_sd
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone11.png
end

material
   name boxtop
   #texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone02.png
   texture http://cbg.bzflag.org/images/A-Delusion/lost_garden/G300M3.png
end

material
   name ceiling
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/ground/rs-ground08.png
end

material
   name pyrwall
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone13.png
end

material
   name pyrwall_d
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone12.png
end

material
   name pyrwall_s
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone16.png
end

material
   name pyrwall_sd
   texture http://cbg.bzflag.org/images/A-Delusion/7aug/stone/rs-stone14.png
end

material
   name GroundMaterial
   texture http://cbg.bzflag.org/images/A-Delusion/lost_garden/G000M802.png
end

material
   name DragonMaterial
   texture http://cbg.bzflag.org/images/A-Delusion/lost_garden/B100N2.png
end

material
   name mountains
   texture http://cbg.bzflag.org/images/BlasterWisconsin/hills.png
end

material
   name skydome
   ambient 1.00000 1.00000 1.00000
   diffuse 1.00000 1.00000 1.00000 1.00000
   emission 0.00000e+0 0.00000e+0 0.00000e+0
   specular 0.1 0.1 0.1
#   shininess 128.000
#   texture http://cbg.bzflag.org/images/A-Delusion/psych/skydome/sunset.png
   #texture http://cbg.bzflag.org/images/A-Delusion/psych/skydome/sky_povray1.png
 #  texture http://cbg.bzflag.org/images/A-Delusion/psych/skydome/sci_sky.png
  texture http://cbg.bzflag.org/images/A-Delusion/psych/skydome/sky_glurk.png
  # http://cbg.bzflag.org/images/A-Delusion/psych/skydome/dayfair.png
   noshadow
end
material

name transp
 notextures
 color 1.0 1.0 1.0 0.0
 noradar
 noshadow
 noculling
 nosorting
 nolighting
 alphathresh 0.0
end


#dynamicColor
#  name sky1
#  alpha sequence 1 0 2 0
#end

#dynamicColor
#  name sky2
#  alpha sequence 1 0 0 2
#end



"""

hashmarkdragon = """

mesh
	name bzbox_4_pics1

        vertex 39.2 -34 -11
        vertex 39.2 -34 +10
        vertex 39.2 -61 +10
        vertex 39.2 -61 -11

        texcoord 0.0 0.0
        texcoord 0.0 1.0
        texcoord 1.0 1.0
        texcoord 1.0 0.0

	face
                vertices 0 1 2 3
		texcoords 3 0 1 2
		matref DragonMaterial
		shootthrough
		drivethrough
        endface
	spin 270.0 1.0 0.0 0.0
end

mesh
	name bzbox_4_pics1

        vertex -41.2 -34 -11
        vertex -41.2 -34 +10
        vertex -41.2 -61 +10
        vertex -41.2 -61 -11

        texcoord 0.0 0.0
        texcoord 0.0 1.0
        texcoord 1.0 1.0
        texcoord 1.0 0.0

	face
                vertices 3 2 1 0
		texcoords  1 2 3 0
		matref DragonMaterial
		shootthrough
		drivethrough
        endface
	spin 270.0 1.0 0.0 0.0
end


mesh
	name bzbox_4_pics1

        vertex -11 -34 -41.2
        vertex +10 -34 -41.2
        vertex +10 -61 -41.2
        vertex -11 -61 -41.2

        texcoord 0.0 0.0
        texcoord 0.0 1.0
        texcoord 1.0 1.0
        texcoord 1.0 0.0

	face
                vertices 0 1 2 3
		texcoords   3 0 1 2
		matref DragonMaterial
		shootthrough
		drivethrough
        endface
	spin 270.0 1.0 0.0 0.0
end

mesh
	name bzbox_4_pics1

        vertex -11 -34 39.2
        vertex +10 -34 39.2
        vertex +10 -61 39.2
        vertex -11 -61 39.2

        texcoord 0.0 0.0
        texcoord 0.0 1.0
        texcoord 1.0 1.0
        texcoord 1.0 0.0

	face
                vertices 3 2 1 0
		texcoords  1 2   3 0
		matref DragonMaterial
		shootthrough
		drivethrough
        endface
	spin 270.0 1.0 0.0 0.0
end


"""


mountains = """

arc
divisions 64
position 0 0 0
size 600 600 80
ratio 0.001
inside matref mountains
top matref transp
outside matref transp
endside matref transp
startside matref transp

texsize 16.0 0.99 -8.0 -8.0
end

"""

skydome = """

#    "LeftSkyboxMaterial",
#    "FrontSkyboxMaterial",
#    "RightSkyboxMaterial",
#    "BackSkyboxMaterial",
#    "TopSkyboxMaterial",
#    "BottomSkyboxMaterial"

###############################################################################  SKYDOME

define skydome
mesh
# vertices: 129
# normals: 129
# texcoords: 152
vertex 134.278275 0.000000 769.407471
vertex 242.691879 -100.525940 723.497864
vertex 124.056526 -51.385765 769.407471
vertex -0.000013 0.000000 784.936707
vertex 124.056526 51.385765 769.407471
vertex 185.747986 -185.748001 723.497864
vertex 94.949081 -94.949097 769.407471
vertex 100.525925 -242.691879 723.497864
vertex 51.385754 -124.056541 769.407471
vertex -0.000013 -262.687805 723.497864
vertex -0.000013 -134.278275 769.407471
vertex -100.525948 -242.691879 723.497864
vertex -51.385777 -124.056541 769.407471
vertex -185.748016 -185.748001 723.497864
vertex -94.949104 -94.949097 769.407471
vertex -242.691895 -100.525940 723.497864
vertex -124.056557 -51.385765 769.407471
vertex -262.687805 0.000000 723.497864
vertex -134.278290 0.000000 769.407471
vertex -242.691895 100.525940 723.497864
vertex -124.056557 51.385765 769.407471
vertex -185.748016 185.748001 723.497864
vertex -94.949104 94.949097 769.407471
vertex -100.525948 242.691879 723.497864
vertex -51.385777 124.056541 769.407471
vertex -0.000013 262.687805 723.497864
vertex -0.000013 134.278275 769.407471
vertex 100.525925 242.691879 723.497864
vertex 51.385754 124.056541 769.407471
vertex 185.747986 185.748001 723.497864
vertex 94.949081 94.949097 769.407471
vertex 242.691879 100.525940 723.497864
vertex 262.687775 0.000000 723.497864
vertex 350.719910 -145.273087 649.213928
vertex 268.429321 -268.429321 649.213928
vertex 145.273087 -350.719910 649.213928
vertex -0.000013 -379.616180 649.213928
vertex -145.273102 -350.719910 649.213928
vertex -268.429352 -268.429321 649.213928
vertex -350.719940 -145.273087 649.213928
vertex -379.616180 0.000000 649.213928
vertex -350.719940 145.273087 649.213928
vertex -268.429352 268.429321 649.213928
vertex -145.273102 350.719910 649.213928
vertex -0.000013 379.616180 649.213928
vertex 145.273087 350.719910 649.213928
vertex 268.429321 268.429321 649.213928
vertex 350.719910 145.273087 649.213928
vertex 379.616180 0.000000 649.213928
vertex 443.419525 -183.670334 549.803467
vertex 339.378937 -339.378937 549.803467
vertex 183.670319 -443.419556 549.803467
vertex -0.000013 -479.954193 549.803467
vertex -183.670349 -443.419556 549.803467
vertex -339.378967 -339.378937 549.803467
vertex -443.419556 -183.670334 549.803467
vertex -479.954193 0.000000 549.803467
vertex -443.419556 183.670334 549.803467
vertex -339.378967 339.378937 549.803467
vertex -183.670349 443.419556 549.803467
vertex -0.000013 479.954193 549.803467
vertex 183.670319 443.419556 549.803467
vertex 339.378937 339.378937 549.803467
vertex 443.419525 183.670334 549.803467
vertex 479.954163 0.000000 549.803467
vertex 516.740051 -214.041046 429.609924
vertex 395.495483 -395.495483 429.609924
vertex 214.041031 -516.740051 429.609924
vertex -0.000013 -559.315247 429.609924
vertex -214.041061 -516.740051 429.609924
vertex -395.495514 -395.495483 429.609924
vertex -516.740051 -214.041046 429.609924
vertex -559.315247 0.000000 429.609924
vertex -516.740051 214.041046 429.609924
vertex -395.495514 395.495483 429.609924
vertex -214.041061 516.740051 429.609924
vertex -0.000013 559.315247 429.609924
vertex 214.041031 516.740051 429.609924
vertex 395.495483 395.495483 429.609924
vertex 516.740051 214.041046 429.609924
vertex 559.315247 0.000000 429.609924
vertex 567.476746 -235.056747 293.887207
vertex 434.327362 -434.327393 293.887207
vertex 235.056732 -567.476746 293.887207
vertex -0.000013 -614.231812 293.887207
vertex -235.056763 -567.476746 293.887207
vertex -434.327393 -434.327393 293.887207
vertex -567.476746 -235.056747 293.887207
vertex -614.231812 0.000000 293.887207
vertex -567.476746 235.056747 293.887207
vertex -434.327393 434.327393 293.887207
vertex -235.056763 567.476746 293.887207
vertex -0.000013 614.231812 293.887207
vertex 235.056732 567.476746 293.887207
vertex 434.327362 434.327393 293.887207
vertex 567.476746 235.056747 293.887207
vertex 614.231812 0.000000 293.887207
vertex 593.411133 -245.799026 148.566376
vertex 454.177338 -454.177338 148.566376
vertex 245.799011 -593.411194 148.566376
vertex -0.000013 -642.303955 148.566376
vertex -245.799042 -593.411194 148.566376
vertex -454.177338 -454.177338 148.566376
vertex -593.411194 -245.799026 148.566376
vertex -642.304016 0.000000 148.566376
vertex -593.411194 245.799026 148.566376
vertex -454.177338 454.177338 148.566376
vertex -245.799042 593.411194 148.566376
vertex -0.000013 642.303955 148.566376
vertex 245.799011 593.411194 148.566376
vertex 454.177338 454.177338 148.566376
vertex 593.411133 245.799026 148.566376
vertex 642.303955 0.000000 148.566376
vertex 593.411133 -245.799026 0.000000
vertex 454.177338 -454.177338 0.000000
vertex 245.799011 -593.411194 0.000000
vertex -0.000013 -642.303955 0.000000
vertex -245.799042 -593.411194 0.000000
vertex -454.177338 -454.177338 0.000000
vertex -593.411194 -245.799026 0.000000
vertex -642.304016 -0.000000 0.000000
vertex -593.411194 245.799026 -0.000000
vertex -454.177338 454.177338 -0.000000
vertex -245.799042 593.411194 -0.000000
vertex -0.000013 642.303955 -0.000000
vertex 245.799011 593.411194 -0.000000
vertex 454.177338 454.177338 -0.000000
vertex 593.411133 245.799026 -0.000000
vertex 642.303955 -0.000000 0.000000
normal -0.249376 0.013465 -0.968313
normal -0.403035 0.174096 -0.898473
normal -0.225241 0.107873 -0.968313
normal -0.000000 -0.000000 -1.000000
normal -0.235547 -0.082992 -0.968313
normal -0.305734 0.315077 -0.898473
normal -0.166815 0.185857 -0.968313
normal -0.161885 0.408093 -0.898473
normal -0.082992 0.235547 -0.968313
normal 0.006607 0.438980 -0.898473
normal 0.013465 0.249376 -0.968313
normal 0.174096 0.403035 -0.898473
normal 0.107873 0.225241 -0.968313
normal 0.315077 0.305734 -0.898473
normal 0.185857 0.166815 -0.968313
normal 0.408093 0.161885 -0.898473
normal 0.235547 0.082992 -0.968313
normal 0.438980 -0.006607 -0.898473
normal 0.249376 -0.013465 -0.968313
normal 0.403035 -0.174096 -0.898473
normal 0.225241 -0.107873 -0.968313
normal 0.305734 -0.315077 -0.898473
normal 0.166815 -0.185857 -0.968313
normal 0.161885 -0.408093 -0.898473
normal 0.082992 -0.235547 -0.968313
normal -0.006607 -0.438980 -0.898473
normal -0.013465 -0.249376 -0.968313
normal -0.174096 -0.403035 -0.898473
normal -0.107873 -0.225241 -0.968313
normal -0.315077 -0.305734 -0.898473
normal -0.185857 -0.166815 -0.968313
normal -0.408093 -0.161885 -0.898473
normal -0.438980 0.006607 -0.898473
normal -0.573875 0.243664 -0.781854
normal -0.436944 0.444729 -0.781855
normal -0.233494 0.578087 -0.781854
normal 0.005504 0.623437 -0.781854
normal 0.243664 0.573875 -0.781854
normal 0.444729 0.436944 -0.781855
normal 0.578087 0.233494 -0.781854
normal 0.623437 -0.005504 -0.781854
normal 0.573875 -0.243664 -0.781854
normal 0.436944 -0.444729 -0.781855
normal 0.233494 -0.578087 -0.781854
normal -0.005504 -0.623437 -0.781854
normal -0.243664 -0.573875 -0.781854
normal -0.444729 -0.436944 -0.781855
normal -0.578087 -0.233494 -0.781854
normal -0.623437 0.005504 -0.781854
normal -0.712662 0.299801 -0.634219
normal -0.543685 0.549703 -0.634218
normal -0.291936 0.715919 -0.634219
normal 0.004256 0.773142 -0.634219
normal 0.299801 0.712662 -0.634219
normal 0.549703 0.543685 -0.634218
normal 0.715919 0.291936 -0.634219
normal 0.773142 -0.004256 -0.634219
normal 0.712662 -0.299801 -0.634219
normal 0.543685 -0.549703 -0.634218
normal 0.291936 -0.715919 -0.634219
normal -0.004256 -0.773142 -0.634219
normal -0.299801 -0.712662 -0.634219
normal -0.549703 -0.543685 -0.634218
normal -0.715919 -0.291936 -0.634219
normal -0.773142 0.004256 -0.634219
normal -0.816536 0.341457 -0.465484
normal -0.623713 0.627940 -0.465483
normal -0.335932 0.818825 -0.465484
normal 0.002989 0.885052 -0.465483
normal 0.341457 0.816536 -0.465484
normal 0.627940 0.623713 -0.465483
normal 0.818825 0.335932 -0.465484
normal 0.885052 -0.002989 -0.465483
normal 0.816536 -0.341457 -0.465484
normal 0.623713 -0.627940 -0.465483
normal 0.335932 -0.818825 -0.465484
normal -0.002989 -0.885052 -0.465483
normal -0.341457 -0.816536 -0.465484
normal -0.627940 -0.623713 -0.465483
normal -0.818825 -0.335932 -0.465484
normal -0.885052 0.002989 -0.465483
normal -0.885218 0.368578 -0.283795
normal -0.676785 0.679280 -0.283796
normal -0.365320 0.886567 -0.283795
normal 0.001764 0.958883 -0.283796
normal 0.368578 0.885218 -0.283795
normal 0.679280 0.676785 -0.283796
normal 0.886567 0.365320 -0.283795
normal 0.958883 -0.001764 -0.283796
normal 0.885218 -0.368578 -0.283795
normal 0.676785 -0.679280 -0.283796
normal 0.365320 -0.886567 -0.283795
normal -0.001764 -0.958883 -0.283796
normal -0.368578 -0.885218 -0.283795
normal -0.679280 -0.676785 -0.283796
normal -0.886567 -0.365320 -0.283795
normal -0.958883 0.001764 -0.283796
normal -0.919452 0.381479 -0.095297
normal -0.703477 0.704300 -0.095298
normal -0.380405 0.919897 -0.095297
normal 0.000583 0.995449 -0.095299
normal 0.381479 0.919452 -0.095297
normal 0.704300 0.703477 -0.095298
normal 0.919897 0.380405 -0.095297
normal 0.995449 -0.000583 -0.095299
normal 0.919452 -0.381479 -0.095297
normal 0.703477 -0.704300 -0.095298
normal 0.380405 -0.919897 -0.095297
normal -0.000583 -0.995449 -0.095299
normal -0.381479 -0.919452 -0.095297
normal -0.704300 -0.703477 -0.095298
normal -0.919897 -0.380405 -0.095297
normal -0.995449 0.000583 -0.095299
normal -0.896998 0.303733 0.321155
normal -0.712485 0.623879 0.321155
normal -0.419503 0.849045 0.321155
normal -0.062655 0.944952 0.321155
normal 0.303733 0.896998 0.321155
normal 0.623879 0.712485 0.321155
normal 0.849045 0.419503 0.321155
normal 0.944952 0.062655 0.321155
normal 0.896998 -0.303733 0.321155
normal 0.712485 -0.623879 0.321155
normal 0.419503 -0.849045 0.321155
normal 0.062655 -0.944952 0.321155
normal -0.303733 -0.896998 0.321155
normal -0.623879 -0.712485 0.321155
normal -0.849045 -0.419503 0.321155
normal -0.944952 -0.062655 0.321155
texcoord 1.000000 0.875004
texcoord 0.937500 0.750007
texcoord 0.937500 0.875004
texcoord -0.000000 0.875004
texcoord 0.062500 1.000000
texcoord 0.062500 0.875004
texcoord 0.875000 0.750007
texcoord 0.875000 0.875004
texcoord 1.000000 1.000000
texcoord 0.812500 0.750007
texcoord 0.812500 0.875004
texcoord 0.937500 1.000000
texcoord 0.750000 0.750007
texcoord 0.750000 0.875004
texcoord 0.875000 1.000000
texcoord 0.687500 0.750007
texcoord 0.687500 0.875004
texcoord 0.812500 1.000000
texcoord 0.625000 0.750007
texcoord 0.625000 0.875004
texcoord 0.750000 1.000000
texcoord 0.562500 0.750007
texcoord 0.562500 0.875004
texcoord 0.687500 1.000000
texcoord 0.500000 0.750007
texcoord 0.500000 0.875004
texcoord 0.625000 1.000000
texcoord 0.437500 0.750007
texcoord 0.437500 0.875004
texcoord 0.562500 1.000000
texcoord 0.375000 0.750007
texcoord 0.375000 0.875004
texcoord 0.500000 1.000000
texcoord 0.312500 0.750007
texcoord 0.312500 0.875004
texcoord 0.437500 1.000000
texcoord 0.250000 0.750007
texcoord 0.250000 0.875004
texcoord 0.375000 1.000000
texcoord 0.187500 0.750007
texcoord 0.187500 0.875004
texcoord 0.312500 1.000000
texcoord 0.125000 0.750007
texcoord 0.125000 0.875004
texcoord 0.250000 1.000000
texcoord 0.062500 0.750007
texcoord 0.187500 1.000000
texcoord -0.000000 0.750007
texcoord 0.125000 1.000000
texcoord 1.000000 0.750007
texcoord 0.937500 0.625011
texcoord 0.875000 0.625011
texcoord 0.812500 0.625011
texcoord 0.750000 0.625011
texcoord 0.687500 0.625011
texcoord 0.625000 0.625011
texcoord 0.562500 0.625011
texcoord 0.500000 0.625011
texcoord 0.437500 0.625011
texcoord 0.375000 0.625011
texcoord 0.312500 0.625011
texcoord 0.250000 0.625011
texcoord 0.187500 0.625011
texcoord 0.125000 0.625011
texcoord 0.062500 0.625011
texcoord -0.000000 0.625011
texcoord 1.000000 0.625011
texcoord 0.937500 0.500014
texcoord 0.875000 0.500014
texcoord 0.812500 0.500014
texcoord 0.750000 0.500014
texcoord 0.687500 0.500014
texcoord 0.625000 0.500014
texcoord 0.562500 0.500014
texcoord 0.500000 0.500014
texcoord 0.437500 0.500014
texcoord 0.375000 0.500014
texcoord 0.312500 0.500014
texcoord 0.250000 0.500014
texcoord 0.187500 0.500014
texcoord 0.125000 0.500014
texcoord 0.062500 0.500014
texcoord -0.000000 0.500014
texcoord 1.000000 0.500014
texcoord 0.937500 0.375018
texcoord 0.875000 0.375018
texcoord 0.812500 0.375018
texcoord 0.750000 0.375018
texcoord 0.687500 0.375018
texcoord 0.625000 0.375018
texcoord 0.562500 0.375018
texcoord 0.500000 0.375018
texcoord 0.437500 0.375018
texcoord 0.375000 0.375018
texcoord 0.312500 0.375018
texcoord 0.250000 0.375018
texcoord 0.187500 0.375018
texcoord 0.125000 0.375018
texcoord 0.062500 0.375018
texcoord -0.000000 0.375018
texcoord 1.000000 0.375018
texcoord 0.937500 0.250021
texcoord 0.875000 0.250021
texcoord 0.812500 0.250021
texcoord 0.750000 0.250021
texcoord 0.687500 0.250021
texcoord 0.625000 0.250021
texcoord 0.562500 0.250021
texcoord 0.500000 0.250021
texcoord 0.437500 0.250021
texcoord 0.375000 0.250021
texcoord 0.312500 0.250021
texcoord 0.250000 0.250021
texcoord 0.187500 0.250021
texcoord 0.125000 0.250021
texcoord 0.062500 0.250021
texcoord -0.000000 0.250021
texcoord 1.000000 0.250021
texcoord 0.937500 0.125025
texcoord 0.875000 0.125025
texcoord 0.812500 0.125025
texcoord 0.750000 0.125025
texcoord 0.687500 0.125025
texcoord 0.625000 0.125025
texcoord 0.562500 0.125025
texcoord 0.500000 0.125025
texcoord 0.437500 0.125025
texcoord 0.375000 0.125025
texcoord 0.312500 0.125025
texcoord 0.250000 0.125025
texcoord 0.187500 0.125025
texcoord 0.125000 0.125025
texcoord 0.062500 0.125025
texcoord -0.000000 0.125025
texcoord 1.000000 0.125025
texcoord 0.937500 -0.000000
texcoord 0.875000 -0.000000
texcoord 0.812500 -0.000000
texcoord 0.750000 -0.000000
texcoord 0.687500 -0.000000
texcoord 0.625000 -0.000000
texcoord 0.562500 -0.000000
texcoord 0.500000 -0.000000
texcoord 0.437500 -0.000000
texcoord 0.375000 -0.000000
texcoord 0.312500 -0.000000
texcoord 0.250000 -0.000000
texcoord 0.187500 -0.000000
texcoord 0.125000 -0.000000
texcoord 0.062500 -0.000000
texcoord -0.000000 -0.000000
texcoord 1.000000 -0.000000

drawInfo
angvel .5

corner 0 0 0
corner 1 1 1
corner 2 2 2
corner 0 0 3
corner 3 3 4
corner 4 4 5
corner 5 5 6
corner 6 6 7
corner 3 3 8
corner 7 7 9
corner 8 8 10
corner 3 3 11
corner 9 9 12
corner 10 10 13
corner 3 3 14
corner 11 11 15
corner 12 12 16
corner 3 3 17
corner 13 13 18
corner 14 14 19
corner 3 3 20
corner 15 15 21
corner 16 16 22
corner 3 3 23
corner 17 17 24
corner 18 18 25
corner 3 3 26
corner 19 19 27
corner 20 20 28
corner 3 3 29
corner 21 21 30
corner 22 22 31
corner 3 3 32
corner 23 23 33
corner 24 24 34
corner 3 3 35
corner 25 25 36
corner 26 26 37
corner 3 3 38
corner 27 27 39
corner 28 28 40
corner 3 3 41
corner 29 29 42
corner 30 30 43
corner 3 3 44
corner 31 31 45
corner 3 3 46
corner 32 32 47
corner 3 3 48
corner 32 32 49
corner 33 33 50
corner 34 34 51
corner 35 35 52
corner 36 36 53
corner 37 37 54
corner 38 38 55
corner 39 39 56
corner 40 40 57
corner 41 41 58
corner 42 42 59
corner 43 43 60
corner 44 44 61
corner 45 45 62
corner 46 46 63
corner 47 47 64
corner 48 48 65
corner 48 48 66
corner 49 49 67
corner 50 50 68
corner 51 51 69
corner 52 52 70
corner 53 53 71
corner 54 54 72
corner 55 55 73
corner 56 56 74
corner 57 57 75
corner 58 58 76
corner 59 59 77
corner 60 60 78
corner 61 61 79
corner 62 62 80
corner 63 63 81
corner 64 64 82
corner 64 64 83
corner 65 65 84
corner 66 66 85
corner 67 67 86
corner 68 68 87
corner 69 69 88
corner 70 70 89
corner 71 71 90
corner 72 72 91
corner 73 73 92
corner 74 74 93
corner 75 75 94
corner 76 76 95
corner 77 77 96
corner 78 78 97
corner 79 79 98
corner 80 80 99
corner 80 80 100
corner 81 81 101
corner 82 82 102
corner 83 83 103
corner 84 84 104
corner 85 85 105
corner 86 86 106
corner 87 87 107
corner 88 88 108
corner 89 89 109
corner 90 90 110
corner 91 91 111
corner 92 92 112
corner 93 93 113
corner 94 94 114
corner 95 95 115
corner 96 96 116
corner 96 96 117
corner 97 97 118
corner 98 98 119
corner 99 99 120
corner 100 100 121
corner 101 101 122
corner 102 102 123
corner 103 103 124
corner 104 104 125
corner 105 105 126
corner 106 106 127
corner 107 107 128
corner 108 108 129
corner 109 109 130
corner 110 110 131
corner 111 111 132
corner 112 112 133
corner 112 112 134
corner 113 113 135
corner 114 114 136
corner 115 115 137
corner 116 116 138
corner 117 117 139
corner 118 118 140
corner 119 119 141
corner 120 120 142
corner 121 121 143
corner 122 122 144
corner 123 123 145
corner 124 124 146
corner 125 125 147
corner 126 126 148
corner 127 127 149
corner 128 128 150
corner 128 128 151


lod #0
lengthPerPixel 0
matref skydome
dlist
tris 0 1 2 3 4 5 2 6 7 2 8 0 7 9 10 7 11 2 10 12 13 10 14 7 13 15 16 13 17 10 16 18 19 16 20 13 19 21 22 19 23 16 22 24 25 22 26 19
tris 25 27 28 25 29 22 28 30 31 28 32 25 31 33 34 31 35 28 34 36 37 34 38 31 37 39 40 37 41 34 40 42 43 40 44 37 43 45 5 43 46 40 5 47 3 5 45 47 5 48 43
tris 49 1 0 49 50 1 1 6 2 1 51 6 6 9 7 6 52 9 9 12 10 9 53 12 12 15 13 12 54 15 15 18 16 15 55 18 18 21 19 18 56 21 21 24 22 21 57 24 24 27 25
tris 24 58 27 27 30 28 27 59 30 30 33 31 30 60 33 33 36 34 33 61 36 36 39 37 36 62 39 39 42 40 39 63 42 42 45 43 42 64 45 45 65 47 45 64 65 66 50 49 66 67 50
tris 50 51 1 50 68 51 51 52 6 51 69 52 52 53 9 52 70 53 53 54 12 53 71 54 54 55 15 54 72 55 55 56 18 55 73 56 56 57 21 56 74 57 57 58 24 57 75 58 58 59 27
tris 58 76 59 59 60 30 59 77 60 60 61 33 60 78 61 61 62 36 61 79 62 62 63 39 62 80 63 63 64 42 63 81 64 64 82 65 64 81 82 83 67 66 83 84 67 67 68 50 67 85 68
tris 68 69 51 68 86 69 69 70 52 69 87 70 70 71 53 70 88 71 71 72 54 71 89 72 72 73 55 72 90 73 73 74 56 73 91 74 74 75 57 74 92 75 75 76 58 75 93 76 76 77 59
tris 76 94 77 77 78 60 77 95 78 78 79 61 78 96 79 79 80 62 79 97 80 80 81 63 80 98 81 81 99 82 81 98 99 100 84 83 100 101 84 84 85 67 84 102 85 85 86 68 85 103 86
tris 86 87 69 86 104 87 87 88 70 87 105 88 88 89 71 88 106 89 89 90 72 89 107 90 90 91 73 90 108 91 91 92 74 91 109 92 92 93 75 92 110 93 93 94 76 93 111 94 94 95 77
tris 94 112 95 95 96 78 95 113 96 96 97 79 96 114 97 97 98 80 97 115 98 98 116 99 98 115 116 117 101 100 117 118 101 101 102 84 101 119 102 102 103 85 102 120 103 103 104 86 103 121 104
tris 104 105 87 104 122 105 105 106 88 105 123 106 106 107 89 106 124 107 107 108 90 107 125 108 108 109 91 108 126 109 109 110 92 109 127 110 110 111 93 110 128 111 111 112 94 111 129 112 112 113 95
tris 112 130 113 113 114 96 113 131 114 114 115 97 114 132 115 115 133 116 115 132 133 134 118 117 134 135 118 118 119 101 118 136 119 119 120 102 119 137 120 120 121 103 120 138 121 121 122 104 121 139 122
tris 122 123 105 122 140 123 123 124 106 123 141 124 124 125 107 124 142 125 125 126 108 125 143 126 126 127 109 126 144 127 127 128 110 127 145 128 128 129 111 128 146 129 129 130 112 129 147 130 130 131 113
tris 130 148 131 131 132 114 131 149 132 132 150 133 132 149 150 151 135 134

tris 135 136 118 136 137 119 137 138 120 138 139 121 139 140 122 140 141 123 141 142 124 142 143 125 143 144 126 144 145 127 145 146 128 146 147 129 147 148 130 148 149 131
end #matref
end #lod 0

end #drawinfo
end # mesh
enddef

group skydome
# pos 0 0 0
end

"""



